Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.ml.lib
Class LibLinear

    java.lang.Object
      org.maltparser.ml.lib.Lib
          org.maltparser.ml.lib.LibLinear

All Implemented Interfaces:
  LearningMethod

    public class LibLinear

extends Lib

Nested Class Summary

Nested classes/interfaces inherited from class org.maltparser.ml.lib.Lib
`Lib.Verbostity`

Field Summary

Fields inherited from class org.maltparser.ml.lib.Lib
`allowedLibOptionFlags, configLogger, excludeNullValues, featureMap, instanceOutput, learnerMode, libOptions, model, name, numberOfInstances, owner, paramString, pathExternalTrain, saveInstanceFiles, verbosity`

Fields inherited from interface org.maltparser.ml.LearningMethod
`BATCH, CLASSIFY`

Constructor Summary
`LibLinear(InstanceModel owner, Integer learnerMode)`

Method Summary
`void` | `initAllowedLibOptionFlags()`
`void` | `initLibOptions()`
`void` | `terminate()`
`protected void` | `trainExternal(FeatureVector featureVector)`
`protected void` | `trainInternal(FeatureVector featureVector)`

Methods inherited from class org.maltparser.ml.lib.Lib
`addInstance, binariesInstance, binariesInstances2SVMFileFormat, closeInstanceWriter, decreaseNumberOfInstances, finalize, finalizeSentence, getConfigFileEntry, getConfiguration, getFile, getInputStreamFromConfigFileEntry, getInstanceInputStreamReader, getInstanceInputStreamReaderFromConfigFile, getInstanceOutputStreamWriter, getInstanceWriter, getLearnerMode, getLearningMethodName, getLibOptions, getLibParamStringArray, getNumberOfInstances, getOwner, getParamString, getPathExternalTrain, increaseNumberOfInstances, initSpecialParameters, loadFeatureMap, moveAllInstances, noMoreInstances, parseParameters, predict, saveFeatureMap, setLearnerMode, setLearningMethodName, setNumberOfInstances, setOwner, setPathExternalTrain, toString, train`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LibLinear

    public LibLinear(InstanceModel owner,
                     Integer learnerMode)
              throws MaltChainedException

Throws:
  `MaltChainedException`

Method Detail

### trainInternal

    protected void trainInternal(FeatureVector featureVector)
                          throws MaltChainedException

  Specified by:
    `trainInternal` in class `Lib`
  Throws:
    `MaltChainedException`

### trainExternal

    protected void trainExternal(FeatureVector featureVector)
                          throws MaltChainedException

  Specified by:
    `trainExternal` in class `Lib`
  Throws:
    `MaltChainedException`

### terminate

    public void terminate()
                   throws MaltChainedException

  Specified by:
    `terminate` in interface `LearningMethod`
  Overrides:
    `terminate` in class `Lib`
  Throws:
    `MaltChainedException`

### initLibOptions

    public void initLibOptions()

  Specified by:
    `initLibOptions` in class `Lib`

### initAllowedLibOptionFlags

    public void initAllowedLibOptionFlags()

  Specified by:
    `initAllowedLibOptionFlags` in class `Lib`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2011 Johan Hall, Jens Nilsson and Joakim Nivre.